View Issue Details

IDProjectCategoryView StatusLast Update
0003087gnunet-javavoting packagepublic2014-04-10 21:49
ReporterFlorian DoldAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.10.1Fixed in Version0.10.1 
Summary0003087: the ballot should store an authority's public key, not their peer identities
Description... but this only makes sense once the crypto is in sync with the C version, otherwise we can't contact the peers via mesh.
TagsNo tags attached.

Relationships

related to 0003069 closedFlorian Dold implement new crypto 

Activities

Christian Grothoff

2013-11-06 00:02

manager   ~0007596

I don't agree, I think having the peer identities here is fine, after all you need to contact those and for that mesh expects a peer identity, not some random public key.

Christian Grothoff

2014-02-11 13:54

manager   ~0008089

No longer needed as peer identities are now public keys.

Issue History

Date Modified Username Field Change
2013-10-29 09:00 Florian Dold New Issue
2013-10-29 09:00 Florian Dold Assigned To => Florian Dold
2013-10-29 09:00 Florian Dold Status new => assigned
2013-10-29 09:01 Florian Dold Relationship added related to 0003069
2013-11-04 14:41 Christian Grothoff Severity minor => tweak
2013-11-06 00:02 Christian Grothoff Note Added: 0007596
2013-11-06 00:02 Christian Grothoff Status assigned => feedback
2014-02-11 13:54 Christian Grothoff Note Added: 0008089
2014-02-11 13:54 Christian Grothoff Status feedback => resolved
2014-02-11 13:54 Christian Grothoff Fixed in Version => 0.10.0
2014-02-11 13:54 Christian Grothoff Resolution open => fixed
2014-02-11 13:54 Christian Grothoff Product Version => SVN HEAD
2014-02-11 13:54 Christian Grothoff Target Version => 0.10.0
2014-04-08 16:41 Christian Grothoff Status resolved => closed
2014-04-10 21:49 Christian Grothoff Fixed in Version 0.10.0 => 0.10.1
2014-04-10 21:49 Christian Grothoff Target Version 0.10.0 => 0.10.1